from distutils.core import setup
setup(
  name = 'MultitoolsLib',         # How you named your package folder (MyLib)
  packages = ['MultitoolsLib'],   # Chose the same as "name"
  version = '0.0.1',      # Start with a small number and increase it with every change you make
  license='MIT',        # Chose a license from here: https://help.github.com/articles/licensing-a-repository
  description = 'The Multitools library is a comprehensive collection of handy utilities and tools designed to enhance your Python coding experience.',   # Give a short description about your library
  author = 'veHRz',                   # Type in your name
  author_email = 'vehrzminecraft@gmail.com',      # Type in your E-Mail
  url = 'https://github.com/veHRz/MultitoolsLib',   # Provide either the link to your github or to your website
  download_url = 'https://github.com/veHRz/MultitoolsLib/archive/refs/tags/Beta-0.0.1.tar.gz',
  keywords = ['TOOLS', 'CIPHER', 'HASH', 'CONVERT', 'MULTI-USAGE', 'MULTI'],   # Keywords that define your package best
  install_requires=[
          'pycryptodome',
          'cryptography',
          'pillow'
      ],
  classifiers=[
    'Development Status :: 4 - Beta',      # Chose either "3 - Alpha", "4 - Beta" or "5 - Production/Stable" as the current state of your package
    'Intended Audience :: Developers',      # Define that your audience are developers
    'Topic :: Software Development :: Build Tools',
    'Topic :: Security',
    'Topic :: Security :: Cryptography',
    'Topic :: Software Development :: Libraries :: Python Modules',
    'Topic :: Utilities',
    'Topic :: Other/Nonlisted Topic',
    'License :: OSI Approved :: MIT License',   # Again, pick a license
    'Natural Language :: English',
    'Operating System :: Microsoft :: Windows',
    'Programming Language :: Python :: 3 :: Only',      #Specify which pyhton versions that you want to support
    'Programming Language :: Python :: 3.9',
    'Programming Language :: Python :: 3.10',
    'Programming Language :: Python :: 3.11',
    'Programming Language :: Python :: 3.12',
    'Programming Language :: Python :: 3.13'
  ],
)